Package org.apache.sysds.runtime.controlprogram

# Class ParForProgramBlock.PartitionFormat

java.lang.Object
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PartitionFormat

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ParForProgramBlock

public static class ParForProgramBlock.PartitionFormat extends Object implements Serializable
Convenience class to package PDataPartitionFormat and its parameters.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final ParForProgramBlock.PDataPartitionFormat`
`_dpf`
`final int`
`_N`
`static final ParForProgramBlock.PartitionFormat`
`COLUMN_WISE`
`static final ParForProgramBlock.PartitionFormat`
`NONE`
`static final ParForProgramBlock.PartitionFormat`
`ROW_WISE`

## Constructor Summary

Constructors
Constructor
Description
`PartitionFormat(ParForProgramBlock.PDataPartitionFormat dpf, int N)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`long`
`getNumColumns(DataCharacteristics mc)`
`long`
`getNumParts(DataCharacteristics mc)`
`long`
`getNumRows(DataCharacteristics mc)`
`int`
`hashCode()`
`boolean`
`isBlockwise()`
`boolean`
`isRowwise()`
`String`
`toString()`
`static ParForProgramBlock.PartitionFormat`
`valueOf(String value)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### NONE

public static final ParForProgramBlock.PartitionFormat NONE

### ROW_WISE

public static final ParForProgramBlock.PartitionFormat ROW_WISE

### COLUMN_WISE

public static final ParForProgramBlock.PartitionFormat COLUMN_WISE

### _dpf

public final ParForProgramBlock.PDataPartitionFormat _dpf

### _N

public final int _N

## Constructor Details

### PartitionFormat

public PartitionFormat(ParForProgramBlock.PDataPartitionFormat dpf, int N)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### valueOf

public static ParForProgramBlock.PartitionFormat valueOf(String value)

### isBlockwise

public boolean isBlockwise()

### isRowwise

public boolean isRowwise()

### getNumParts

public long getNumParts(DataCharacteristics mc)

### getNumRows

public long getNumRows(DataCharacteristics mc)

### getNumColumns

public long getNumColumns(DataCharacteristics mc)